{
  lib,
  stdenv,
  fetchurl,
  unzip,
}:
stdenv.mkDerivation rec {
  pname = "headscale-ui";
  version = "2022.12.23.2-beta";

  src = fetchurl {
    url = "https://github.com/gurucomputing/headscale-ui/releases/download/${version}/headscale-ui.zip";
    sha256 = "sha256-QF10la68Rl2t0K53CH63Qiq54ynkySQACdELorZF/cY=";
  };

  nativeBuildInputs = [unzip];

  unpackCmd = "unzip headscale-ui.zip";

  dontConfigure = true;
  dontBuild = true;
  installPhase = ''
    mkdir $out/
    cp -R . $out
  '';
}
